#include <avr/io.h>
#include <util/delay.h>
#include <stdio.h>

#include "serial.h"
#include "tlc5947.h"
#include "matrix.h"
#include "spi.h"

#define	NB_DRIVERS		3
#define MAX_VALEUR		64
	
int groupes[NB_DRIVERS*DLED_CHANNELS];
unsigned char picture[]={
  0,0,128,128,128,128,0,0,
  0,128,0,0,0,0,128,0,
  128,0,128,0,0,128,0,128,
  128,0,0,0,0,0,0,128,
  128,0,128,0,0,128,0,128,
  128,0,0,128,128,0,0,128,
  0,128,0,0,0,0,128,0,
  0,0,128,128,128,128,0,0
  };

int main(void)
{
init_LED_Drivers(NB_DRIVERS);

matrix_set(groupes,picture);
set_LED_Drivers(groupes,NB_DRIVERS);

spi_init(0);

//uint8_t data=0;
while(1){
  int i=0;
#if 1
  while(i<NB_ROWS*NB_COLS){
    uint8_t data;
    if(spi_exch(i,&data)) picture[i++]=data; else i=0;
    }
#endif
//  if(!spi_exch(0,&data)) continue;
//  for(i=0;i<NB_ROWS*NB_COLS;i++) picture[i]=(i==data)?128:0;
  matrix_set(groupes,picture);
  set_LED_Drivers(groupes,NB_DRIVERS);
  }

return 0;
}
